## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybaseAuthorizedObject

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SybaseASABaseColumn, SybaseASABaseFunction, SybaseASABaseProcedure, SybaseASABaseProxyTable, SybaseASABaseRemoteProcedure, SybaseASABaseTable, SybaseASABaseTempTable, SybaseASABaseViewTable, SybaseASATable, SybaseASATempTable, SybaseASEBaseTable, SybaseASEColumn, SybaseASEProcedure, SybaseASEProxyTable, SybaseASETable, SybaseASETempTable, SybaseASEViewTable, SybaseASEWebServiceTable, SybaseBaseTable, SybaseRoutine, SybaseViewTable

All Known Implementing Classes:
  SybaseASABaseColumnImpl, SybaseASABaseFunctionImpl, SybaseASABaseProcedureImpl, SybaseASABaseProxyTableImpl, SybaseASABaseRemoteProcedureImpl, SybaseASABaseTableImpl, SybaseASABaseTempTableImpl, SybaseASABaseViewTableImpl, SybaseASACatalogBaseColumn, SybaseASACatalogBaseProcedure, SybaseASACatalogBaseProxyTable, SybaseASACatalogBaseRemoteProcedure, SybaseASACatalogBaseTempTable, SybaseASACatalogBaseUserDefinedFunction, SybaseASACatalogBaseViewTable, SybaseASACatalogTable, SybaseASACatalogTempTable, SybaseASATableImpl, SybaseASATempTableImpl, SybaseASEBaseTableImpl, SybaseASECatalogColumn, SybaseASECatalogProcedure, SybaseASECatalogProxyTable, SybaseASECatalogTable, SybaseASECatalogTempTable, SybaseASECatalogView, SybaseASECatalogWebServiceTable, SybaseASEColumnImpl, SybaseASEProcedureImpl, SybaseASEProxyTableImpl, SybaseASETableImpl, SybaseASETempTableImpl, SybaseASEViewTableImpl, SybaseASEWebServiceTableImpl, SybaseBaseTableImpl, SybaseRoutineImpl, SybaseViewTableImpl

    public interface SybaseAuthorizedObject

extends SQLObject

A representation of the model object 'Sybase Authorized Object'. This class is introduced to work around the performance issue when loading privileges for an object

See Also:
  `SybasesqlmodelPackage.getSybaseAuthorizedObject()`

Method Summary

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`